<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'OneTrustTroubleWarning',
  data() {
    return {
      content: null,
    };
  },
  async fetch() {
    try {
      const locale = this.$i18n.locale;
      this.content = await this.$content(
        `shared/${locale}/one-trust-warning`,
      ).fetch();
    } catch (error) {
      // eslint-disable-next-line
      console.error('Error fetching OneTrust content:', error);
    }
  },
});
</script>

<template>
  <details>
    <summary>{{ content.header }}</summary>
    <span class="cbnc-message-expandable" style="display: inline">
      {{ content.before_button }}
      <button id="ot-sdk-btn" class="ot-sdk-show-settings" style="">
        {{ content.button_text }}
      </button>
      {{ content.after_button }}
    </span>
  </details>
</template>

<style lang="scss" scoped>
details {
  background: $color-surface-200;
  padding: 6px 12px;
}

summary {
  cursor: pointer;
  color: $color-text-300;
  font-weight: 600;
}

details > summary {
  list-style: none;
}
details > summary::-webkit-details-marker {
  display: none;
}

#ot-sdk-btn.ot-sdk-show-settings,
#ot-sdk-btn.optanon-show-settings {
  border: none;
  font-size: unset !important;
  color: unset !important;

  padding: 0;
  text-decoration: underline;

  &:hover,
  &:focus {
    background: transparent !important;
  }
}
</style>
